PETSc version 3.15.5
Fix/Edit manual page

# PetscClassRegLogRegister

Registers a class for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassRegLogRegister(PetscClassRegLog classLog, const char cname[], PetscClassId classid)

Not Collective

### Input Parameters

| classLog | - The ClassLog
| cname | - The name associated with the class

### Output Parameter

| classid | - The classid

### See Also

PetscClassIdRegister()

### Level

developer

### Location

src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages